Bug 175227 - firstboot generates tracebacks in today's rawhide
firstboot generates tracebacks in today's rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-07 16:45 EST by Christopher Aillon
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-08 11:40:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Aillon 2005-12-07 16:45:27 EST
Description of problem:
on a fresh PXE install:

[root@unused ~]# cat firstboot.1134106309.52
Traceback (most recent call last):
  File "/usr/share/firstboot/firstbootWindow.py", line 494, in loadModules
    vbox, pix, title = module.launch()
  File "/usr/share/firstboot/modules/date.py", line 77, in launch
    self.setupScreen()
  File "/usr/share/firstboot/modules/date.py", line 55, in setupScreen
    self.dateWindow = mainWindow.mainWindow (firstboot = True, showPages =
["datetime", "ntp"])
TypeError: __init__() got an unexpected keyword argument 'showPages'
[root@unused ~]# cat firstboot.1134106601.31
Traceback (most recent call last):
  File "/usr/share/firstboot/firstbootWindow.py", line 290, in nextClicked
    result = module.apply(self.notebook)
  File "/usr/share/firstboot/modules/create_user.py", line 178, in apply
    if not self.isUsernameOk(username, self.usernameEntry):
AttributeError: childWindow instance has no attribute 'isUsernameOk'


Version-Release number of selected component (if applicable):
firstboot-1.3.54-1.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.